namespace Eco.Mods.TechTree
{
    using System.Collections.Generic;
    using System.Linq;
    using Eco.Gameplay.Components;
    using Eco.Gameplay.DynamicValues;
    using Eco.Gameplay.Items;
    using Eco.Gameplay.Players;
    using Eco.Gameplay.Skills;
    using Eco.Gameplay.Systems.TextLinks;
    using Eco.Mods.TechTree;
    using Eco.Shared.Items;
    using Eco.Shared.Localization;
    using Eco.Shared.Serialization;
    using Eco.Shared.Utils;
    using Eco.Shared.View;
    
    [Serialized]
    [Weight(200)]                                          
    public partial class FishStewItem :
        FoodItem            
    {
        public override string FriendlyName                     { get { return "Fish Stew"; } }
        public override string Description                      { get { return "A basic pot of fish with some spices."; } }

        private static Nutrients nutrition = new Nutrients()    { Carbs = 5, Fat = 14, Protein = 3, Vitamins = 4};
        public override float Calories                          { get { return 600; } }
        public override Nutrients Nutrition                     { get { return nutrition; } }
    }

    [RequiresSkill(typeof(CampfireCreationsSkill), 2)]    
    public partial class FishStewRecipe : Recipe
    {
        public FishStewRecipe()
        {
            this.Products = new CraftingElement[]
            {
                new CraftingElement<FishStewItem>(),
               
            };
            this.Ingredients = new CraftingElement[]
            {
                new CraftingElement<RawFishItem>(typeof(CampfireCreationsEfficiencySkill), 15, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
				new CraftingElement<FireweedShootsItem>(typeof(CampfireCreationsEfficiencySkill), 20, CampfireCreationsEfficiencySkill.MultiplicativeStrategy),
            };
            this.CraftMinutes = CreateCraftTimeValue(typeof(FishStewRecipe), Item.Get<FishStewItem>().UILink(), 5, typeof(CampfireCreationsSpeedSkill)); 
            this.Initialize("Fish Stew", typeof(FishStewRecipe));
            CraftingComponent.AddRecipe(typeof(CampfireObject), this);
        }
    }
}